"""Read in csv files and plot time series

"""

import project
from pylab import plot, xlabel, ylabel, savefig, ion, hold, axis, close, figure
from os import sep
 
time_dir1 = '20070419_065050_run'# HAT dampier
directory = project.output_dir
filenames = [directory + time_dir1 + sep + 'gauges_time_series_p12.csv',
            directory + time_dir1 + sep + 'gauges_time_series_p13.csv',
            directory + time_dir1 + sep + 'gauges_time_series_p14.csv',
            directory + time_dir1 + sep + 'gauges_time_series_p15.csv',
            directory + time_dir1 + sep + 'gauges_time_series_p20.csv',
            directory + time_dir1 + sep + 'gauges_time_series_p21.csv',
             directory + time_dir1 + sep + 'gauges_time_series_p22.csv',
             directory + time_dir1 + sep + 'gauges_time_series_p23.csv']

def get_time_series_from_file(filename):
    fid = open(filename)
    lines = fid.readlines()
    fid.close()
    
    t = []
    stage = []
    depth = []
    speed = []
    momentum = []
    for line in lines[1:]:
        fields = line.split(',')
        t.append((float(fields[0])/3600.0+4000./3600.)) # 4000 for Dampier run
        stage.append(float(fields[1]))
        depth.append(float(fields[1])-float(fields[4]))
        speed.append(float(fields[3]))
        momentum.append(float(fields[2]))        
    return t, stage, depth, speed, momentum

max_st = 0.
max_sp = 0.
max_mom = 0.
min_st = 0.
min_sp = 0.
min_mom = 0.
max_t = 0.0

for filename in filenames:
    t, stage, depth, speed, momentum = get_time_series_from_file(filename)
    if max(t) > max_t: max_t = max(t)
    if max(stage) > max_st: max_st = max(stage)
    if max(speed) > max_sp: max_sp = max(speed)
    if max(momentum) > max_mom: max_mom = max(momentum)
    if min(stage) < min_st: min_st = min(stage)
    if min(speed) < min_sp: min_sp = min(speed)
    if min(momentum) < min_mom: min_mom = min(momentum)

#stage_axis = ([5000./3600.,max_t, min_st, max_st])
#speed_axis = ([5000/3600.,max_t, min_sp, max_sp])
#mom_axis = ([5000/3600.,max_t, min_mom, max_mom])

stage_axis = ([5000./3600.,max_t, -2.5,6.5])
    
ion()

hold(False)

for i, filename in enumerate(filenames):
    t, stage, depth, speed, momentum = get_time_series_from_file(filename)

    i1 = filename.rfind('gauges')
    i2 = filename.rfind('csv')
    name = filename[i1:i2-1]

    community = 'dampier'
    figure(1)
    plot(t, stage, '-b', linewidth=1)
    xlabel('time (hour)')
    ylabel('wave height (m)')
    axis(stage_axis)
    figname = 'stage_%s_%s.png' %(name,community)
    savefig(figname)


close('all')

