"""
Generate images of "gauges" for production run

Inputs:

production dirs: dictionary of production directories with a
                 association to that simulation run, eg high tide,
                 low tide and MSL.
                    
Outputs:

* figures used for report stored in the report_figure directory

"""
from os import getcwd, sep, altsep, mkdir, access, F_OK
import project
import project_urs
from anuga.abstract_2d_finite_volumes.util import sww2timeseries

# 
production_dirs = {'20070608_062811_run_final_1.5_exmouth_nbartzis': ''}

swwfiles = {}    
for label_id in production_dirs.keys():
    
    file_loc = project.outputdir + label_id + sep
    swwfile = file_loc + project_urs.scenario_name + '.sww'
    swwfiles[swwfile] = label_id
        
    texname, elev_output = sww2timeseries(swwfiles,
                                          project.td_gauges,
                                          production_dirs,
                                          report = False,
                                          plot_quantity = ['stage', 'speed', 'momentum'],
                                          generate_fig = True,
                                          surface = False,
                                          time_min = None,
                                          time_max = None,
                                          time_unit = 'hours',
                                          title_on = False,
                                          use_cache = True,
                                          verbose = True)
                                      
